# This file is part of dnmgmt, a number resource management system
# Licensed under GNU General Public License v3 or later
# Written by Sebastian Lohff (seba@someserver.de)

"""dnmgmt URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/1.10/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  url(r'^$', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  url(r'^$', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.conf.urls import url, include
    2. Add a URL to urlpatterns:  url(r'^blog/', include('blog.urls'))
"""
from django.conf.urls import url, include
from django.contrib import admin
from django.views.generic import TemplateView

import dncore.urls
import dncore.views
import whoisdb.urls
import rrequests.urls
import domains.urls
import api.urls


urlpatterns = [
	url(r'^$', dncore.views.index, name='index'),
	url(r'^dashboard/$', dncore.views.dashboard, name='dashboard'),

    url(r'^admin/', admin.site.urls),
	url(r'^user/', include(dncore.urls, namespace='user')),
	url(r'^whoisdb/', include(whoisdb.urls, namespace='whoisdb')),
	url(r'^rrequests/', include(rrequests.urls, namespace='rrequests')),
	url(r'^domains/', include(domains.urls, namespace='domains')),
	url(r'^api/', include(api.urls, namespace='api')),

	url(r'^help/$', TemplateView.as_view(template_name='help/help.html'), name='help'),
]
